<?php
/**
 * Theme list
 *
 * @version 1.0
 * @package xts
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Direct access not allowed.
}

return apply_filters(
	'xts_theme_list',
	array(
		'mars' => array(
			'name'        => 'Mars',
			'slug'        => 'mars',
			'version'     => '1.3.0',
			'woocommerce' => false,
			'categories'  => 'blog,corporate,multipurpose',
		),
		'charon' => array(
			'name'        => 'Charon',
			'slug'        => 'charon',
			'version'     => '1.3.0',
			'woocommerce' => false,
			'categories'  => 'corporate',
		),
		'lyra' => array(
			'name'        => 'Lyra',
			'slug'        => 'lyra',
			'version'     => '1.3.0',
			'woocommerce' => true,
			'categories'  => 'ecommerce',
		),
		'doris' => array(
			'name'        => 'Doris',
			'slug'        => 'doris',
			'version'     => '1.3.0',
			'woocommerce' => true,
			'categories'  => 'ecommerce',
		),
		'juno' => array(
			'name'        => 'Juno',
			'slug'        => 'juno',
			'version'     => '1.3.0',
			'woocommerce' => true,
			'categories'  => 'corporate,ecommerce',
		),
		'orion' => array(
			'name'        => 'Orion',
			'slug'        => 'orion',
			'version'     => '1.3.0',
			'woocommerce' => true,
			'categories'  => 'ecommerce,multipurpose',
		),
		'antares' => array(
			'name'        => 'Antares',
			'slug'        => 'antares',
			'version'     => '1.3.0',
			'woocommerce' => true,
			'categories'  => 'ecommerce',
		),
		'jupiter' => array(
			'name'        => 'Jupiter',
			'slug'        => 'jupiter',
			'version'     => '1.3.0',
			'woocommerce' => false,
			'categories'  => 'blog,corporate,multipurpose',
		),
		'mercury' => array(
			'name'        => 'Mercury',
			'slug'        => 'mercury',
			'version'     => '1.3.0',
			'woocommerce' => false,
			'categories'  => 'corporate',
		),
		'rhea' => array(
			'name'        => 'Rhea',
			'slug'        => 'rhea',
			'version'     => '1.3.0',
			'woocommerce' => false,
			'categories'  => 'blog,corporate',
		),
		'moon' => array(
			'name'        => 'Moon',
			'slug'        => 'moon',
			'version'     => '1.3.0',
			'woocommerce' => false,
			'categories'  => 'corporate',
		),
		'callisto' => array(
			'name'        => 'Callisto',
			'slug'        => 'callisto',
			'version'     => '1.3.0',
			'woocommerce' => false,
			'categories'  => 'corporate,multipurpose',
		),
		'dione' => array(
			'name'        => 'Dione',
			'slug'        => 'dione',
			'version'     => '1.3.0',
			'woocommerce' => false,
			'categories'  => 'corporate',
		),
		'neptune' => array(
			'name'        => 'Neptune',
			'slug'        => 'neptune',
			'version'     => '1.3.0',
			'woocommerce' => false,
			'categories'  => 'corporate',
		),
		'sylvia' => array(
			'name'        => 'Sylvia',
			'slug'        => 'sylvia',
			'version'     => '1.3.0',
			'woocommerce' => false,
			'categories'  => 'blog,corporate',
		),
		'pluto' => array(
			'name'        => 'Pluto',
			'slug'        => 'pluto',
			'version'     => '1.2.0',
			'woocommerce' => false,
			'categories'  => 'blog',
		),
		'ceres' => array(
			'name'        => 'Ceres',
			'slug'        => 'ceres',
			'version'     => '1.3.0',
			'woocommerce' => false,
			'categories'  => 'blog,corporate',
		),
		'saturn' => array(
			'name'        => 'Saturn',
			'slug'        => 'saturn',
			'version'     => '1.3.0',
			'woocommerce' => false,
			'categories'  => 'blog,corporate',
		),
		'iapetus' => array(
			'name'        => 'Iapetus',
			'slug'        => 'iapetus',
			'version'     => '1.3.0',
			'woocommerce' => false,
			'categories'  => 'corporate',
		),
		'tethys' => array(
			'name'        => 'Tethys',
			'slug'        => 'tethys',
			'version'     => '1.3.0',
			'woocommerce' => true,
			'categories'  => 'ecommerce,multipurpose',
		),
		'varuna' => array(
			'name'        => 'Varuna',
			'slug'        => 'varuna',
			'version'     => '1.1.0',
			'woocommerce' => true,
			'categories'  => 'ecommerce',
		),
		'varuno' => array(
			'name'        => 'Varuno',
			'slug'        => 'varuno',
			'version'     => '1.1.0',
			'woocommerce' => true,
			'categories'  => 'ecommerce',
		),
		'vega' => array(
			'name'        => 'Vega',
			'slug'        => 'vega',
			'version'     => '1.3.0',
			'woocommerce' => true,
			'categories'  => 'ecommerce,multipurpose',
		),
		'hitek' => array(
			'name'        => 'Hitek',
			'slug'        => 'hitek',
			'version'     => '1.3.0',
			'woocommerce' => true,
			'categories'  => 'ecommerce,multipurpose',
		),
		'uranus' => array(
			'name'        => 'Uranus',
			'slug'        => 'uranus',
			'version'     => '1.3.0',
			'woocommerce' => false,
			'categories'  => 'multipurpose',
		),
		'oberon' => array(
			'name'        => 'Oberon',
			'slug'        => 'oberon',
			'version'     => '1.3.0',
			'woocommerce' => false,
			'categories'  => 'blog,corporate',
		),
		'umbriel' => array(
			'name'        => 'Umbriel',
			'slug'        => 'umbriel',
			'version'     => '1.3.0',
			'woocommerce' => true,
			'categories'  => 'corporate,ecommerce',
		),
		'venus' => array(
			'name'        => 'Venus',
			'slug'        => 'venus',
			'version'     => '1.3.0',
			'woocommerce' => false,
			'categories'  => 'corporate',
		),
		'lumen' => array(
			'name'        => 'Lumen',
			'slug'        => 'lumen',
			'version'     => '1.3.0',
			'woocommerce' => true,
			'categories'  => 'corporate,multipurpose',
		),
		'luman' => array(
			'name'        => 'Luman',
			'slug'        => 'luman',
			'version'     => '1.2.1',
			'woocommerce' => true,
			'categories'  => 'corporate,multipurpose',
		),
	)
);