<?php
/**
 * Default header builder structure
 *
 * @package xts
 * @version 1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Direct access not allowed.
}

return array(
	'id'      => 'root',
	'type'    => 'root',
	'content' => array(
		0 => array(
			'id'      => 'top-bar',
			'type'    => 'row',
			'content' => array(
				0 => array(
					'id'      => 'column5',
					'type'    => 'column',
					'content' => array(),
				),
				1 => array(
					'id'      => 'column6',
					'type'    => 'column',
					'content' => array(),
				),
				2 => array(
					'id'      => 'column7',
					'type'    => 'column',
					'content' => array(),
				),
				3 => array(
					'id'      => 'column_mobile1',
					'type'    => 'column',
					'content' => array(),
				),
			),
			'params'  => array(
				'flex_layout'            => array(
					'id'    => 'flex_layout',
					'value' => 'stretch-center',
					'type'  => 'selector',
				),
				'height'                 => array(
					'id'    => 'height',
					'value' => 5,
					'type'  => 'slider',
				),
				'mobile_height'          => array(
					'id'    => 'mobile_height',
					'value' => 40,
					'type'  => 'slider',
				),
				'align_dropdowns_bottom' => array(
					'id'    => 'align_dropdowns_bottom',
					'value' => false,
					'type'  => 'switcher',
				),
				'hide_desktop'           => array(
					'id'    => 'hide_desktop',
					'value' => true,
					'type'  => 'switcher',
				),
				'hide_mobile'            => array(
					'id'    => 'hide_mobile',
					'value' => true,
					'type'  => 'switcher',
				),
				'sticky'                 => array(
					'id'    => 'sticky',
					'value' => false,
					'type'  => 'switcher',
				),
				'sticky_height'          => array(
					'id'    => 'sticky_height',
					'value' => 40,
					'type'  => 'slider',
				),
				'color_scheme'           => array(
					'id'    => 'color_scheme',
					'value' => 'dark',
					'type'  => 'selector',
				),
				'shadow'                 => array(
					'id'    => 'shadow',
					'value' => false,
					'type'  => 'switcher',
				),
				'background'             => array(
					'id'    => 'background',
					'value' => '',
					'type'  => 'bg',
				),
				'border'                 => array(
					'id'    => 'border',
					'value' => array(
						'sides' => array(
							0 => 'top',
							1 => 'bottom',
							2 => 'left',
							3 => 'right',
						),
					),
					'type'  => 'border',
				),
			),
		),
		1 => array(
			'id'      => 'general-header',
			'type'    => 'row',
			'content' => array(
				0 => array(
					'id'      => 'column8',
					'type'    => 'column',
					'content' => array(
						0 => array(
							'id'     => '7ugt1qw8z86be4s72ukj',
							'type'   => 'logo',
							'params' => array(
								'image'        => array(
									'id'    => 'image',
									'value' => array(
										'id'     => 42,
										'url'    => 'https://space.xtemos.com/dummy/umbriel/wp-content/uploads/sites/11/2019/05/umbriel-logo.svg',
										'width'  => 0,
										'height' => 0,
									),
									'type'  => 'image',
								),
								'width'        => array(
									'id'    => 'width',
									'value' => 110,
									'type'  => 'slider',
								),
								'sticky_image' => array(
									'id'    => 'sticky_image',
									'value' => '',
									'type'  => 'image',
								),
								'sticky_width' => array(
									'id'    => 'sticky_width',
									'value' => 150,
									'type'  => 'slider',
								),
								'logo_notice'  => array(
									'id'    => 'logo_notice',
									'value' => '',
									'type'  => 'notice',
								),
							),
						),
					),
				),
				1 => array(
					'id'      => 'column9',
					'type'    => 'column',
					'content' => array(
						0 => array(
							'id'     => 'yjfyuyr3bl4q2jclrr9u',
							'type'   => 'mainmenu',
							'params' => array(
								'menu_style'       => array(
									'id'    => 'menu_style',
									'value' => 'underline-2',
									'type'  => 'selector',
								),
								'menu_full_height' => array(
									'id'    => 'menu_full_height',
									'value' => false,
									'type'  => 'switcher',
								),
								'menu_align'       => array(
									'id'    => 'menu_align',
									'value' => 'left',
									'type'  => 'selector',
								),
								'menu_items_gap'   => array(
									'id'    => 'menu_items_gap',
									'value' => 'm',
									'type'  => 'selector',
								),
							),
						),
					),
				),
				2 => array(
					'id'      => 'column10',
					'type'    => 'column',
					'content' => array(
						0 => array(
							'id'     => 'qko2dvf9s5s5sd62hu5c',
							'type'   => 'search',
							'params' => array(
								'display'             => array(
									'id'    => 'display',
									'value' => 'dropdown',
									'type'  => 'selector',
								),
								'search_style'        => array(
									'id'    => 'search_style',
									'value' => 'icon-alt',
									'type'  => 'selector',
								),
								'form_color_scheme'   => array(
									'id'    => 'form_color_scheme',
									'value' => 'dark',
									'type'  => 'selector',
								),
								'icon_style'          => array(
									'id'    => 'icon_style',
									'value' => 'icon',
									'type'  => 'selector',
								),
								'categories_dropdown' => array(
									'id'    => 'categories_dropdown',
									'value' => false,
									'type'  => 'switcher',
								),
								'icon_type'           => array(
									'id'    => 'icon_type',
									'value' => 'default',
									'type'  => 'selector',
								),
								'custom_icon'         => array(
									'id'    => 'custom_icon',
									'value' => '',
									'type'  => 'image',
								),
								'ajax'                => array(
									'id'    => 'ajax',
									'value' => true,
									'type'  => 'switcher',
								),
								'ajax_result_count'   => array(
									'id'    => 'ajax_result_count',
									'value' => 10,
									'type'  => 'slider',
								),
								'post_type'           => array(
									'id'    => 'post_type',
									'value' => 'product',
									'type'  => 'selector',
								),
								'color_scheme'        => array(
									'id'    => 'color_scheme',
									'value' => 'dark',
									'type'  => 'selector',
								),
							),
						),
						1 => array(
							'id'     => 'kkbvy55nhz4nli6nocuj',
							'type'   => 'cart',
							'params' => array(
								'widget_type'  => array(
									'id'    => 'widget_type',
									'value' => 'dropdown',
									'type'  => 'selector',
								),
								'color_scheme' => array(
									'id'    => 'color_scheme',
									'value' => 'inherit',
									'type'  => 'selector',
								),
								'position'     => array(
									'id'    => 'position',
									'value' => 'right',
									'type'  => 'selector',
								),
								'style'        => array(
									'id'    => 'style',
									'value' => 'icon',
									'type'  => 'selector',
								),
								'design'       => array(
									'id'    => 'design',
									'value' => 'count',
									'type'  => 'selector',
								),
								'icon_style'   => array(
									'id'    => 'icon_style',
									'value' => 'cart',
									'type'  => 'selector',
								),
								'custom_icon'  => array(
									'id'    => 'custom_icon',
									'value' => '',
									'type'  => 'image',
								),
							),
						),
					),
				),
				3 => array(
					'id'      => 'column_mobile2',
					'type'    => 'column',
					'content' => array(
						0 => array(
							'id'     => 'ey2n8veog78pcna4ftip',
							'type'   => 'burger',
							'params' => array(
								'menu_id'      => array(
									'id'    => 'menu_id',
									'value' => 'mobile-menu',
									'type'  => 'select',
								),
								'style'        => array(
									'id'    => 'style',
									'value' => 'icon',
									'type'  => 'selector',
								),
								'icon_type'    => array(
									'id'    => 'icon_type',
									'value' => 'default',
									'type'  => 'selector',
								),
								'custom_icon'  => array(
									'id'    => 'custom_icon',
									'value' => '',
									'type'  => 'image',
								),
								'position'     => array(
									'id'    => 'position',
									'value' => 'left',
									'type'  => 'selector',
								),
								'color_scheme' => array(
									'id'    => 'color_scheme',
									'value' => 'inherit',
									'type'  => 'selector',
								),
								'search_form'  => array(
									'id'    => 'search_form',
									'value' => true,
									'type'  => 'switcher',
								),
							),
						),
					),
				),
				4 => array(
					'id'      => 'column_mobile3',
					'type'    => 'column',
					'content' => array(
						0 => array(
							'id'     => 'pngrj2q4gmeaqjr0tezu',
							'type'   => 'logo',
							'params' => array(
								'image'        => array(
									'id'    => 'image',
									'value' => array(
										'id'     => 42,
										'url'    => 'https://space.xtemos.com/dummy/umbriel/wp-content/uploads/sites/11/2019/05/umbriel-logo.svg',
										'width'  => 0,
										'height' => 0,
									),
									'type'  => 'image',
								),
								'width'        => array(
									'id'    => 'width',
									'value' => 96,
									'type'  => 'slider',
								),
								'sticky_image' => array(
									'id'    => 'sticky_image',
									'value' => '',
									'type'  => 'image',
								),
								'sticky_width' => array(
									'id'    => 'sticky_width',
									'value' => 150,
									'type'  => 'slider',
								),
								'logo_notice'  => array(
									'id'    => 'logo_notice',
									'value' => '',
									'type'  => 'notice',
								),
							),
						),
					),
				),
				5 => array(
					'id'      => 'column_mobile4',
					'type'    => 'column',
					'content' => array(
						0 => array(
							'id'     => 'fnp6jnzgcw72gg3a90y2',
							'type'   => 'cart',
							'params' => array(
								'widget_type'  => array(
									'id'    => 'widget_type',
									'value' => 'dropdown',
									'type'  => 'selector',
								),
								'color_scheme' => array(
									'id'    => 'color_scheme',
									'value' => 'inherit',
									'type'  => 'selector',
								),
								'position'     => array(
									'id'    => 'position',
									'value' => 'right',
									'type'  => 'selector',
								),
								'style'        => array(
									'id'    => 'style',
									'value' => 'icon',
									'type'  => 'selector',
								),
								'design'       => array(
									'id'    => 'design',
									'value' => 'count',
									'type'  => 'selector',
								),
								'icon_style'   => array(
									'id'    => 'icon_style',
									'value' => 'cart',
									'type'  => 'selector',
								),
								'custom_icon'  => array(
									'id'    => 'custom_icon',
									'value' => '',
									'type'  => 'image',
								),
							),
						),
					),
				),
			),
			'params'  => array(
				'flex_layout'            => array(
					'id'    => 'flex_layout',
					'value' => 'equal-sides',
					'type'  => 'selector',
				),
				'height'                 => array(
					'id'    => 'height',
					'value' => 90,
					'type'  => 'slider',
				),
				'mobile_height'          => array(
					'id'    => 'mobile_height',
					'value' => 60,
					'type'  => 'slider',
				),
				'align_dropdowns_bottom' => array(
					'id'    => 'align_dropdowns_bottom',
					'value' => true,
					'type'  => 'switcher',
				),
				'hide_desktop'           => array(
					'id'    => 'hide_desktop',
					'value' => false,
					'type'  => 'switcher',
				),
				'hide_mobile'            => array(
					'id'    => 'hide_mobile',
					'value' => false,
					'type'  => 'switcher',
				),
				'sticky'                 => array(
					'id'    => 'sticky',
					'value' => true,
					'type'  => 'switcher',
				),
				'sticky_height'          => array(
					'id'    => 'sticky_height',
					'value' => 60,
					'type'  => 'slider',
				),
				'color_scheme'           => array(
					'id'    => 'color_scheme',
					'value' => 'dark',
					'type'  => 'selector',
				),
				'shadow'                 => array(
					'id'    => 'shadow',
					'value' => false,
					'type'  => 'switcher',
				),
				'background'             => array(
					'id'    => 'background',
					'value' => '',
					'type'  => 'bg',
				),
				'border'                 => array(
					'id'    => 'border',
					'value' => array(
						'width'     => '1',
						'sides'     => array(
							0 => 'top',
							1 => 'bottom',
							2 => 'left',
							3 => 'right',
						),
						'style'     => 'solid',
						'applyFor'  => 'fullwidth',
						'color'     => array(
							'r' => 166,
							'g' => 207,
							'b' => 123,
							'a' => 1,
						),
						'width-top' => '5',
					),
					'type'  => 'border',
				),
			),
		),
		2 => array(
			'id'      => 'header-bottom',
			'type'    => 'row',
			'content' => array(
				0 => array(
					'id'      => 'column11',
					'type'    => 'column',
					'content' => array(),
				),
				1 => array(
					'id'      => 'column12',
					'type'    => 'column',
					'content' => array(),
				),
				2 => array(
					'id'      => 'column13',
					'type'    => 'column',
					'content' => array(),
				),
				3 => array(
					'id'      => 'column_mobile5',
					'type'    => 'column',
					'content' => array(),
				),
			),
			'params'  => array(
				'flex_layout'            => array(
					'id'    => 'flex_layout',
					'value' => 'stretch-center',
					'type'  => 'selector',
				),
				'height'                 => array(
					'id'    => 'height',
					'value' => 50,
					'type'  => 'slider',
				),
				'mobile_height'          => array(
					'id'    => 'mobile_height',
					'value' => 50,
					'type'  => 'slider',
				),
				'align_dropdowns_bottom' => array(
					'id'    => 'align_dropdowns_bottom',
					'value' => false,
					'type'  => 'switcher',
				),
				'hide_desktop'           => array(
					'id'    => 'hide_desktop',
					'value' => true,
					'type'  => 'switcher',
				),
				'hide_mobile'            => array(
					'id'    => 'hide_mobile',
					'value' => true,
					'type'  => 'switcher',
				),
				'sticky'                 => array(
					'id'    => 'sticky',
					'value' => false,
					'type'  => 'switcher',
				),
				'sticky_height'          => array(
					'id'    => 'sticky_height',
					'value' => 50,
					'type'  => 'slider',
				),
				'color_scheme'           => array(
					'id'    => 'color_scheme',
					'value' => 'dark',
					'type'  => 'selector',
				),
				'shadow'                 => array(
					'id'    => 'shadow',
					'value' => false,
					'type'  => 'switcher',
				),
				'background'             => array(
					'id'    => 'background',
					'value' => '',
					'type'  => 'bg',
				),
				'border'                 => array(
					'id'    => 'border',
					'value' => '',
					'type'  => 'border',
				),
			),
		),
	),
);
