<?php
/**
 * Selectors for theme settings dashboard options.
 *
 * @package xts
 * @version 1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Direct access not allowed.
}

return apply_filters(
	'xts_selectors_configs_array',
	array(
		'primary-color' => '.title.xts-textcolor-primary, .xts-list-style-icons li:before, .xts-textcolor-primary, .xts-scheme-light .xts-textcolor-primary, .xts-scheme-dark .xts-textcolor-primary, .xts-box-icon, .xts-button.xts-color-primary.xts-style-bordered, .xts-plan-features i, .xts-price-plan.xts-scheme-hover-dark:hover .xts-plan-features li i, .xts-plan-icon, .xts-el-video-play-btn, .xts-el-video.xts-action-play .xts-el-video-btn:hover .xts-el-video-play-btn, .xts-el-video.xts-action-overlay:hover .xts-el-video-play-btn, .xts-circle-meter-value, .xts-404-content > span, .xts-no-results-title, .elementor-element u, a.xts-login-to-price-msg:hover, .xts-account-links a:hover:before, .woocommerce-form-login-toggle .woocommerce-info a, .woocommerce-form-coupon-toggle .woocommerce-info a, .woocommerce-privacy-policy-link, .woocommerce-terms-and-conditions-link, .woocommerce-privacy-policy-link:hover, .woocommerce-terms-and-conditions-link:hover, .woocommerce-MyAccount-navigation ul li.is-active a, .woocommerce-MyAccount-navigation ul li:hover a, .xts-login-extra a, .xts-login-extra a:hover, .xts-single-product-summary > .price span.amount, .elementor-widget-xts_single_product_price span.amount',
		'primary-background' => '.xts-bgcolor-primary, .xts-nav-label.xts-color-primary, .xts-nav.xts-style-underline > li > a .xts-nav-text:after, .xts-nav.xts-style-underline-2 > li > a .xts-nav-text:after, nav[class*="-pagination"] li .page-numbers.current, .xts-sidebar .widget-title span:after, .widget_calendar #today, .xts-hint:before, .xts-tags-list > a:hover:before, .tagcloud > a:hover:before, .wp-block-calendar #today, .xts-nav-mobile-tab.xts-style-underline .nav-link-text:after, .xts-single-post .xts-post-quote, .xts-single-post .xts-post-url, .xts-post.xts-format-design-mask, .xts-post-categories > a, .xts-post-label, .xts-post-controls, .xts-post-reply .replies-count, .xts-project-categories li, .xts-button.xts-color-primary.xts-style-bordered:hover, .xts-section-title.xts-design-simple .xts-section-title-divider:after, .xts-social-buttons.xts-style-simple a:hover, .xts-countdown-timer.xts-style-default.xts-bg-color-primary .xts-countdown-item, .xts-countdown-timer.xts-style-inline.xts-bg-color-primary .xts-countdown-timer-inner, .xts-timeline-dot, .xts-spot-icon.xts-style-default:before, .xts-scroll-to-top:hover, .elementor-progress-bar, body .select2-container--default .select2-results__option--highlighted[aria-selected], body .select2-container--default .select2-results__option--highlighted[data-selected], .xts-product-label.xts-onsale, .xts-spb-progress-line, .widget_price_filter .ui-slider-range, .widget_price_filter .ui-slider-handle:after, .widget_layered_nav > ul li.chosen a:before, .xts-widget-stock-status li a.xts-selected:before, .xts-sticky-navbar .xts-navbar-count, .xts-header-cart.xts-design-count .xts-cart-count, .xts-header-compare.xts-design-count .xts-compare-count, .xts-header-wishlist.xts-design-count .xts-wishlist-count, .xts-header-cart.xts-design-count-alt .xts-cart-count, .xts-header-compare.xts-design-count-alt .xts-compare-count, .xts-header-wishlist.xts-design-count-alt .xts-wishlist-count, .woocommerce-store-notice, .xts-size-guide-table tr:not(:first-child) td:hover',
		'primary-border-color' => 'hr, blockquote, .xts-comments-area .comment-reply-link, .xts-comments-area #cancel-comment-reply-link, .xts-comments-area .comment-reply-link:hover, .xts-comments-area #cancel-comment-reply-link:hover, .xts-tags-list > a:hover, .tagcloud > a:hover, .wp-block-pullquote:not(.is-style-solid-color), .xts-button.xts-color-primary.xts-style-bordered, .xts-button.xts-color-primary.xts-style-link, .xts-button.xts-color-primary.xts-style-link:hover, .xts-button.xts-color-primary.xts-style-link-2:after, .xts-button.xts-color-primary.xts-style-link-2:hover:after, .xts-section-title.xts-design-underline .xts-section-title-text, .xts-swatch.xts-with-text:after, .widget_layered_nav > ul li a:hover:before, .xts-widget-stock-status li a:hover:before, .widget_layered_nav > ul li.chosen a:before, .xts-widget-stock-status li a.xts-selected:before, .xts-account-links a:hover, .cart_totals, .cart_totals .shipping-calculator-button, .cart_totals .shipping-calculator-button:hover, .xts-checkout-order-review, .xts-clear-filters-btn, .xts-clear-filters-btn:hover, .woocommerce-MyAccount-navigation ul li.is-active a, .woocommerce-MyAccount-navigation ul li:hover a, .xts-prod-design-btn .xts-add-to-cart:after, .xts-prod-design-btn .xts-add-to-cart:hover:after',
		'primary-button-background' => '.searchform .searchsubmit, .comment-form input[type="submit"], .wp-block-search .wp-block-search__button, .xts-button.xts-color-primary, .xts-cookies-accept-btn, .wpcf7 [type="submit"], .mc4wp-form [type="submit"], .woocommerce-widget-layered-nav-dropdown__submit, .widget_price_filter .price_slider_amount .button, .woocommerce-mini-cart__buttons .checkout, .xts-cart-actions .button[name="apply_coupon"], .cart_totals .checkout-button, .shipping-calculator-form .button, .checkout_coupon .button, #place_order, .woocommerce-orders-table__cell-order-actions > a, .woocommerce-MyAccount-downloads-file, button[name=save_account_details], button[name=save_address], .woocommerce-form-login button, .woocommerce-form-register button, .lost_reset_password button, .xts-compare-table .button, .return-to-shop .button, .xts-product-add-btn > a, .single_add_to_cart_button',
		'secondary-color' => '.title.xts-textcolor-secondary, .xts-textcolor-secondary, .xts-scheme-light .xts-textcolor-secondary, .xts-scheme-dark .xts-textcolor-secondary, .xts-button.xts-color-secondary.xts-style-bordered',
		'secondary-background' => '.xts-bgcolor-secondary, .xts-nav-label.xts-color-secondary, .xts-button.xts-color-secondary.xts-style-bordered:hover, .xts-countdown-timer.xts-style-default.xts-bg-color-secondary .xts-countdown-item, .xts-countdown-timer.xts-style-inline.xts-bg-color-secondary .xts-countdown-timer-inner',
		'secondary-border-color' => '.xts-button.xts-color-secondary.xts-style-bordered, .xts-button.xts-color-secondary.xts-style-link, .xts-button.xts-color-secondary.xts-style-link:hover, .xts-button.xts-color-secondary.xts-style-link-2:after, .xts-button.xts-color-secondary.xts-style-link-2:hover:after',
		'secondary-button-background' => '.xts-button.xts-color-secondary',
		'link-color' => 'a',
		'link-color-hover' => 'a:hover',
		'content-font' => 'body',
		'content-font__font-family' => '.xts-textfont-content',
		'content-font__font-size' => '',
		'content-font__color' => '',
		'title-font' => 'legend, th, h1, h2, h3, h4, h5, h6, .title, .widget_block.widget_search .wp-block-search__label, .xts-anim-text, .xts-size-guide-table tr:first-child td, .woocommerce-thankyou-order-received, .woocommerce-Reviews .comment-reply-title',
		'title-font__font-family' => '.xts-textfont-title',
		'title-font__color' => '',
		'entities-title-font' => '.xts-entities-title, .widget_recent_comments li > a, .widget_recent_entries a, .widget_rss li > a, .wp-block-latest-comments .wp-block-latest-comments__comment-link, .wp-block-latest-posts__list li a, .xts-single-post .xts-post-url-text, table .product-name a, .product_list_widget .product-title, .product_title',
		'entities-title-font__font-family' => '',
		'entities-title-font__color' => 'a.xts-entities-title',
		'entities-title-font__color-hover' => 'a.xts-entities-title:hover, .xts-entities-title a:hover, .xts-page-nav-btn:hover .xts-page-nav-title, .widget_recent_comments li > a:hover, .widget_recent_entries a:hover, .widget_rss li > a:hover, .wp-block-latest-comments .wp-block-latest-comments__comment-link:hover, .wp-block-latest-posts__list li a:hover, table .product-name a:hover, .product_list_widget .product-title:hover, .product_title a:hover',
		'nav-main' => '.xts-nav-main > li > a',
		'nav-main__font-family' => '',
		'nav-main__font-size' => '',
		'nav-main__color' => '',
		'nav-main__color-hover' => '.xts-nav-main > li:hover > a',
		'nav-main__color-active' => '.xts-nav-main > li.current-menu-item > a',
		'secondary-font' => '',
		'alternative-font__font-family' => '.xts-textfont-alt',
		'accent-button' => '.searchform .searchsubmit, .comment-form input[type="submit"], .wp-block-search .wp-block-search__button, .wpcf7 [type="submit"], .mc4wp-form [type="submit"]',
		'shop-button' => '.woocommerce-widget-layered-nav-dropdown__submit, .widget_price_filter .price_slider_amount .button, .woocommerce-mini-cart__buttons .checkout, .xts-cart-popup .xts-view-cart, .xts-cart-actions .button[name="apply_coupon"], .cart_totals .checkout-button, .shipping-calculator-form .button, .checkout_coupon .button, #place_order, .woocommerce-orders-table__cell-order-actions > a, .woocommerce-MyAccount-downloads-file, button[name=save_account_details], button[name=save_address], .woocommerce-form-login button, .woocommerce-form-register button, .lost_reset_password button, .xts-compare-table .button, .return-to-shop .button, .xts-prod-design-summary .xts-product-add-btn > a, .xts-prod-design-img-btn .xts-product-add-btn > a, .xts-prod-design-mask .xts-product-add-btn > a, .single_add_to_cart_button',
		'regular-button' => '.xts-cart-actions .button[name="update_cart"]',
		'dropdown-menu' => '.xts-dropdown-menu.xts-dropdown .xts-sub-menu li a',
		'dropdown-mega-menu-first-level' => '.xts-dropdown-menu.xts-dropdown.xts-style-sized .xts-sub-menu > li > a, .xts-dropdown-menu.xts-dropdown.xts-style-full .xts-sub-menu > li > a, .xts-dropdown-menu.xts-dropdown.xts-style-container .xts-sub-menu > li > a',
		'dropdown-mega-menu-first-level__color-hover' => '.xts-dropdown-menu.xts-dropdown.xts-style-sized .xts-sub-menu > li > a:hover, .xts-dropdown-menu.xts-dropdown.xts-style-full .xts-sub-menu > li > a:hover, .xts-dropdown-menu.xts-dropdown.xts-style-container .xts-sub-menu > li > a:hover',
		'dropdown-mega-menu-second-level' => '.xts-dropdown-menu.xts-dropdown.xts-style-sized .sub-sub-menu li a, .xts-dropdown-menu.xts-dropdown.xts-style-full .sub-sub-menu li a, .xts-dropdown-menu.xts-dropdown.xts-style-container .sub-sub-menu li a',
		'dropdown-mega-menu-second-level__color-hover' => '.xts-dropdown-menu.xts-dropdown.xts-style-sized .sub-sub-menu li a:hover, .xts-dropdown-menu.xts-dropdown.xts-style-full .sub-sub-menu li a:hover, .xts-dropdown-menu.xts-dropdown.xts-style-container .sub-sub-menu li a:hover',
		'secondary-navigation' => '.xts-nav-secondary > li > a',
		'secondary-navigation__color-hover' => '.xts-nav-secondary > li:hover > a',
		'header-elements-label' => '.xts-header-el .xts-header-el-label',
		'header-elements-label__color-hover' => '.xts-header-el:hover .xts-header-el-label',
		'header-text-element' => '.xts-header-text',
		'browse-categories-title' => '.xts-header-cats-label',
		'categories-navigation-links' => '.xts-header-cats .xts-nav-mega > li > a',
		'categories-navigation-links__color-hover' => '.xts-header-cats .xts-nav-mega > li:hover > a',
		'my-account-header-links' => '.xts-header-my-account .xts-sub-menu li a',
		'my-account-header-links__color-hover' => '.xts-header-my-account .xts-sub-menu li:hover a',
		'mobile-menu-first-level' => '.xts-nav-mobile > li > a',
		'mobile-menu-first-level__color-hover' => '.xts-nav-mobile > li > a:hover',
		'mobile-menu-second-level' => '.xts-nav-mobile ul li a',
		'mobile-menu-second-level__color-hover' => '.xts-nav-mobile ul li a:hover',
		'page-title' => '.xts-site-wrapper .xts-page-title .xts-title',
		'breadcrumbs-links' => '.xts-page-title .xts-breadcrumbs a, .xts-page-title .xts-breadcrumbs .xts-active, .xts-page-title .xts-breadcrumbs .breadcrumb_last',
		'breadcrumbs-links__color-hover' => '.xts-page-title .xts-breadcrumbs a:hover',
		'product-archive-title' => '.xts-product .woocommerce-loop-product__title',
		'product-archive-title__color-hover' => '.xts-product .woocommerce-loop-product__title a:hover',
		'product-archive-price' => '.xts-product span.amount',
		'product-archive-old-price' => '.xts-product .price del, .xts-product .price del .amount',
		'product-archive-summary-alt-title' => '/* product-archive-summary-alt-title__color-hover ',
		'product-archive-summary-alt-title__color-hover' => '/* product-archive-summary-alt-scheme-light-title ',
		'product-archive-summary-alt-scheme-light-title' => '/* product-archive-summary-alt-scheme-light-title__color-hover ',
		'product-archive-summary-alt-scheme-light-title__color-hover' => '/* category-title ',
		'category-title' => '.xts-cat .woocommerce-loop-category__title',
		'category-title__color-hover' => '.xts-cat .woocommerce-loop-category__title a:hover',
		'category-products-count' => '.xts-cat .xts-cat-count',
		'single-product-title' => '.xts-single-product-summary > .entry-title',
		'single-product-price' => '.xts-single-product-summary span.amount',
		'single-product-old-price' => '.xts-single-product-summary .price del, .xts-single-product-summary .price del .amount',
		'single-product-variable-price' => '.xts-single-product-summary .woocommerce-variation-price span.amount',
		'single-product-variable-old-price' => '.xts-single-product-summary .woocommerce-variation-price .price del, .xts-single-product-summary .woocommerce-variation-price .price del .amount',
		'post-archive-title' => '.xts-blog .xts-post-title',
		'post-archive-title__color-hover' => '.xts-blog .xts-post-title a:hover',
		'post-archive-mask-title' => '.xts-site-wrapper .xts-post-design-mask .xts-post-title',
		'post-archive-mask-title__color-hover' => '.xts-site-wrapper .xts-post-design-mask .xts-post-title a:hover',
		'post-carousel-title' => '.xts-blog.xts-carousel .xts-post-title',
		'post-carousel-title__color-hover' => '.xts-blog.xts-carousel .xts-post-title a:hover',
		'single-post-title' => '.xts-single-post .xts-single-post-title',
		'project-archive-title' => '.xts-portfolio-loop .xts-project-title',
		'project-archive-title__color-hover' => '.xts-portfolio-loop .xts-project-title a:hover',
		'project-carousel-title' => '.xts-portfolio-loop .xts-carousel .xts-project-title',
		'project-carousel-title__color-hover' => '.xts-portfolio-loop .xts-carousel .xts-project-title a:hover',
		'widget-entities-names' => '.widget .xts-entities-title, [class*="elementor-widget-wp-widget"] .xts-entities-title, .widget_recent_comments li > a, .widget_recent_entries a, .widget_rss li > a, .wp-block-latest-comments .wp-block-latest-comments__comment-link, .wp-block-latest-posts__list li a',
		'widget-entities-names__color-hover' => '.widget .xts-entities-title a:hover, [class*="elementor-widget-wp-widget"] .xts-entities-title a:hover, .widget_recent_comments li > a:hover, .widget_recent_entries a:hover, .widget_rss li > a:hover, .wp-block-latest-comments .wp-block-latest-comments__comment-link:hover, .wp-block-latest-posts__list li a:hover',
	)
);
