<?php
/**
 * Options for theme settings and elements.
 *
 * @version 1.0
 * @package xts
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Direct access not allowed.
}

return apply_filters(
	'xts_theme_available_options_array',
	array(
		'product_tabs_title_style'    => array(
			'underline-2' => esc_html__( 'Underline 2', 'xts-theme' ),
		),

		'banner_design_elementor'     => array(
			'mask-content' => esc_html__( 'Mask content', 'xts-theme' ),
		),

		'blog_design'                 => array(
			'mask' => array(
				'name'  => esc_html__( 'Mask', 'xts-theme' ),
				'value' => 'mask',
			),
		),

		'blog_design_elementor'       => array(
			'mask' => esc_html__( 'Mask', 'xts-theme' ),
		),

		'button_style_elementor'      => array(
			'link-2' => array(
				'title' => esc_html__( 'Link 2', 'xts-theme' ),
				'image' => XTS_ASSETS_IMAGES_URL . '/elementor/button/style/link-2.svg',
			),
		),

		'button_style_header_builder' => array(
			'link-2' => array(
				'value' => 'link-2',
				'label' => esc_html__( 'Link 2', 'xts-theme' ),
				'image' => XTS_ASSETS_IMAGES_URL . '/elementor/button/style/link.svg',
			),
		),

		'menu_style_header_builder'   => array(
			'underline-2' => array(
				'value' => 'underline-2',
				'label' => esc_html__( 'Underline 2', 'xts-theme' ),
			),
		),

		'menu_style_widget'           => array(
			esc_html__( 'Underline 2', 'xts-theme' ) => 'underline-2',
		),

		'menu_style_elementor'        => array(
			'underline-2' => esc_html__( 'Underline 2', 'xts-theme' ),
		),
	)
);
