<?php
/**
 * Default values for theme settings dashboard options.
 *
 * @version 1.0
 * @package xts
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Direct access not allowed.
}

return apply_filters(
	'xts_theme_default_values_array',
	array(
		'meta_post_author_args'                 => array(
			'avatar'      => true,
			'avatar_size' => 40,
			'avatar_link' => true,
			'label'       => false,
			'name'        => true,
		),
		'shop_page_title_categories_menu_style' => 'underline-2',
		'portfolio_filters_menu_style'          => 'underline-2',
		'single_product_tabs_menu_style'        => 'underline-2',
		'items_gap'                             => 30,
		// Theme settings.
		'blog_excerpt_length'                   => '95',
		'blog_spacing'                          => '30',
		'content_typography'                    => array(
			0 => array(
				'custom'         => '',
				'google'         => '1',
				'font-family'    => 'Roboto',
				'font-weight'    => '300',
				'font-style'     => '',
				'font-subset'    => '',
				'text-transform' => '',
				'font-size'      => '16',
				'tablet'         => array(
					'font-size'   => '',
					'line-height' => '',
				),
				'mobile'         => array(
					'font-size'   => '',
					'line-height' => '',
				),
				'line-height'    => '1.8',
				'color'          => '#a0a0a0',
			),
		),
		'copyrights_layout'                     => 'centered',
		'entities_typography'                   => array(
			0 => array(
				'custom'         => '',
				'google'         => '0',
				'font-family'    => 'Lato',
				'font-weight'    => '500',
				'font-style'     => '',
				'font-subset'    => '',
				'text-transform' => '',
				'line-height'    => '',
				'tablet'         => array(
					'line-height' => '',
				),
				'mobile'         => array(
					'line-height' => '',
				),
				'color'          => '#333333',
				'hover'          => array(
					'color' => '#a6cf7b',
				),
			),
		),
		'footer_color_scheme'                   => 'default',
		'header_typography'                     => array(
			0 => array(
				'custom'         => '',
				'google'         => '0',
				'font-family'    => '',
				'font-weight'    => '500',
				'font-style'     => '',
				'font-subset'    => '',
				'text-transform' => '',
				'font-size'      => '15',
				'tablet'         => array(
					'font-size'   => '',
					'line-height' => '',
				),
				'mobile'         => array(
					'font-size'   => '',
					'line-height' => '',
				),
				'line-height'    => '',
				'color'          => '',
				'hover'          => array(
					'color' => '',
				),
				'active'         => array(
					'color' => '',
				),
			),
		),
		'links_color'                           => array(
			'idle'       => '#a6cf7b',
			'hover'      => '#93b86d',
			'css_output' => '1',
		),
		'primary_color'                         => array(
			'idle'       => '#a6cf7b',
			'css_output' => '1',
		),
		'secondary_color'                       => array(
			'idle'       => '#d5db1e',
			'css_output' => '1',
		),
		'site_width'                            => '1420',
		'title_typography'                      => array(
			0 => array(
				'custom'         => '',
				'google'         => '0',
				'font-family'    => 'Lato',
				'font-weight'    => '500',
				'font-style'     => '',
				'font-subset'    => '',
				'text-transform' => '',
				'line-height'    => '',
				'tablet'         => array(
					'line-height' => '',
				),
				'mobile'         => array(
					'line-height' => '',
				),
				'color'          => '',
			),
		),
		'widget_title_typography'               => array(
			0 => array(
				'custom'         => '',
				'google'         => '0',
				'font-family'    => '',
				'font-weight'    => '',
				'font-style'     => '',
				'font-subset'    => '',
				'text-transform' => '',
				'font-size'      => '18',
				'tablet'         => array(
					'font-size'   => '',
					'line-height' => '',
				),
				'mobile'         => array(
					'font-size'   => '',
					'line-height' => '',
				),
				'line-height'    => '',
				'color'          => '',
			),
		),
	)
);
